create_bondwire

Modeler3D.create_bondwire(start_position, end_position, h1=0.2, h2=0, alpha=80, beta=5, bond_type=0, diameter=0.025, facets=6, name=None, matname=None)

Create a bondwire.

Parameters
start_positionlist

List of [x, y, z] coordinates for the starting position of the bond pad.

end_positionlist

List of [x, y, z] coordinates for the ending position of the bond pad.

h1float, optional

Height between the IC die I/O pad and the top of the bondwire. The default is 0.2.

h2float, optional

Height of the IC die I/O pad above the lead frame. The default is 0. A negative value indicates that the I/O pad is below the lead frame.

alphafloat, optional

Angle in degrees between the xy plane and the wire bond at the IC die I/O pad. The default is 80.

betafloat, optional

Angle in degrees between the xy plane and the wire bond at the lead frame. The default is 5.

bond_typeint, optional

Type of the boundwire, which indicates its shape. Options are:

  • ‘’0’’ for JEDEC 5-point

  • 1 for JEDEC 4-point

  • ‘’2`` for Low

The default is ‘’0``.

diameterfloat, optional

Diameter of the wire. The default is 0.025.

facetsint, optional

Number of wire facets. The default is 6.

namestr, optional

Name of the bondwire. The default is None, in which case the default name is assigned.

matnamestr, optional

Name of the material. The default is None, in which case the default material is assigned.

Returns
pyaedt.modeler.Object3d.Object3d

3D object.

References

>>> oEditor.CreateBondwire

Examples

>>> from pyaedt import Hfss
>>> hfss = Hfss()
>>> origin = [0,0,0]
>>> endpos = [10,5,20]
>>> #Material and name are not mandatory fields
>>> object_id = hfss.modeler.primivites.create_bondwire(origin, endpos,h1=0.5, h2=0.1, alpha=75, beta=4,
...                                                     bond_type=0, name="mybox", matname="copper")